Transactions
Transactions
Welcome to Paynetics' transactions section. Let’s go over the basics.
What is a transaction in Paynetics?
Transaction in paynetics system is a record that represents an operation that affect the ballance of the end customer. This can be a blockage or a movement of funds internally in the system or externally to other banks.
Examples for Internal movements:
Funds are transferred between two Paynetics accounts by preforming P2P using identifiers (tokens)
IBAN transfers to PATC accounts
Examples for External movements:
Card issued by Paynetics is charged/funded
Wire transfer is performed from/to Paynetics issued IBAN
Transaction list
GET
/v2/transactions/{page}/{limit}
Operation
transactions_listPath parameters
| Name | Example | Description |
|---|---|---|
page |
1 |
Starting from page 1 |
limit |
20 |
Maximum per page 1000 |
Query parameters
| Name | Example | Description |
|---|---|---|
start_date |
2022-01-01 |
For this date onwards |
end_date |
2022-01-02 |
Up to this date |
type |
authorization |
Type of the transaction. For more info check |
code |
L001 |
Code of the transaction. For more info check |
channel |
— |
|
status |
1 |
Status of the transaction. For more info |
merchant |
62513902-9ace-42e9-8cf4-7b16161bdae8 |
Identifier of merchant|company in Paynetics system |
user |
e09340f2-c0b2-480b-92a4-b54d8620bf76 |
Identifier of user in Paynetics system |
reference |
Payment |
Reference of the transaction |
show_hidden |
0 |
Force show hidden transactions |
account |
959b8c22-ba43-4ca4-a40a-5d0331044a41 |
Identifier of the account in Paynetics system |
balance |
959b8c22-ba43-4ca4-a40a-5d0331044a41 |
Identifier of the balance in Paynetics system |
card |
959b8c22-ba43-4ca4-a40a-5d0331044a41 |
Identifier of the card in Paynetics system |
debit_credit |
credit |
Direction of transction debit or credit |
load_after |
e09340f2-c0b2-480b-92a4-b54d8620bf76 |
Load transaction from specified identifier onwards |
Response
| Field | Type | Description |
|---|---|---|
code
|
integer (0,any) |
Example response
{
"code": 0,
"data": {
"items": [
{
"token": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"merchant": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"user": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"account": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"balance": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"external_balance": "123456789",
"channel": "string",
"type": "authorization",
"amount": 1.23,
"currency": "GBP",
"original_amount": 1.23,
"original_currency": "EUR",
"name": "John Doe",
"phone": "+35900000000",
"email": "john.doe@paynetics.digital",
"balance_before": 1,
"balance_after": 1,
"debit_credit": "debit",
"linked_transaction": "12345678",
"external_identifier": "12345678",
"external_link": "12345678",
"fee": 1.23,
"status": "1",
"reference": "Additional info 1",
"reference2": "Additional info 2",
"reference3": "Additional info 3",
"reference4": "Additional info 4",
"description": "Transfer for fun :)",
"is_recurring": false,
"is_initial_recurring": false,
"authorizations": [
"e7ebef39-0d74-4f1c-872b-3b7c9d1f771b"
],
"created_at": "2022-12-02T02:00:00+00:00",
"updated_on": "2022-12-02T02:00:00+00:00",
"execution_date": "2022-12-02T02:00:00+00:00",
"acquiring": {
"card": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"card_pan_obfuscated": "411111XXXXXX1111",
"card_type": "visa",
"ccti_id": "string",
"transaction_stamp": "string",
"pos_terminal_id": "16P00000",
"processing_code": "000000",
"point_of_service_entry_mode": "string",
"acquiring_institution_identification_code": "16000000",
"card_acceptor_identification_code": "16000000",
"card_acceptor_name": "Paynetics",
"card_acceptor_city": "Sofia",
"card_acceptor_country": "BG",
"system_trace_audit_number": "123456",
"is_captured": "boolean",
"authorization_code": "123456",
"retrieval_reference_number": "string",
"is3d": true,
"is_moto": false,
"mcc": "6012",
"mcc_description": "Financial Institution",
"fx_fixed_fee": 1.2345,
"fx_fee_rate": 1.2345,
"fx_rate": 1.2345,
"domestic_fee": 1.2345,
"domestic_rate": 1.2345,
"non_domestic_fee": 1.2345,
"non_domestic_rate": 1.2345,
"token_unique_reference": "string",
"approval_code": "string",
"authorization_date": "string",
"authorization_type": "string",
"note": "string",
"description": "string"
},
"wires": {
"sender_name": "John Doe",
"sender_bank_name": "Paynetics AD",
"sender_bank_country": "BG",
"sender_bank_code": "PATCBGXXX",
"sender_iban": "BG91PATC40021921028091",
"sender_sort_code": "040738",
"sender_account_number": "12345676",
"receiver_name": "John Doe",
"receiver_bank": "Paynetics AD",
"receiver_iban": "BG91PATC40021921028091",
"receiver_sort_code": "040738",
"receiver_account_number": "12345676",
"receiver_bank_name": "Paynetics AD",
"receiver_bank_country": "BG",
"receiver_bank_code": "PATCBGXXX",
"charges": "sha",
"value_date": "2023-01-25",
"settlement_date": "2023-01-25",
"status": "string",
"network_original_code": "string",
"network": "string",
"is_instant": false
},
"counterpart": {
"instance": "8cf9963a-2042-41b3-906c-48c2aea16458",
"merchant": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"user": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"account": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"balance": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"external_balance": "123456789",
"amount": 1.23,
"currency": "GBP",
"debit_credit": "debit",
"phone": "+35900000000",
"email": "john.doe@paynetics.digital",
"name": "John Doe",
"balance_before": 1,
"balance_after": 1,
"fx": 1
}
}
],
"total_items": 1
}
}
Transaction details
GET
/v2/transactions/{transaction}
Operation
transaction_detailsPath parameters
| Name | Example | Description |
|---|---|---|
transaction |
— |
Response
| Field | Type | Description |
|---|---|---|
code
|
integer (0,any) |
Example response
{
"code": 0,
"data": {
"token": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"merchant": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"user": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"account": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"balance": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"external_balance": "123456789",
"channel": "string",
"type": "authorization",
"amount": 1.23,
"currency": "GBP",
"original_amount": 1.23,
"original_currency": "EUR",
"name": "John Doe",
"phone": "+35900000000",
"email": "john.doe@paynetics.digital",
"balance_before": 1,
"balance_after": 1,
"debit_credit": "debit",
"linked_transaction": "12345678",
"external_identifier": "12345678",
"external_link": "12345678",
"fee": 1.23,
"status": "1",
"reference": "Additional info 1",
"reference2": "Additional info 2",
"reference3": "Additional info 3",
"reference4": "Additional info 4",
"description": "Transfer for fun :)",
"is_recurring": false,
"is_initial_recurring": false,
"authorizations": [
"e7ebef39-0d74-4f1c-872b-3b7c9d1f771b"
],
"created_at": "2022-12-02T02:00:00+00:00",
"updated_on": "2022-12-02T02:00:00+00:00",
"execution_date": "2022-12-02T02:00:00+00:00",
"acquiring": {
"card": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"card_pan_obfuscated": "411111XXXXXX1111",
"card_type": "visa",
"ccti_id": "string",
"transaction_stamp": "string",
"pos_terminal_id": "16P00000",
"processing_code": "000000",
"point_of_service_entry_mode": "string",
"acquiring_institution_identification_code": "16000000",
"card_acceptor_identification_code": "16000000",
"card_acceptor_name": "Paynetics",
"card_acceptor_city": "Sofia",
"card_acceptor_country": "BG",
"system_trace_audit_number": "123456",
"is_captured": "boolean",
"authorization_code": "123456",
"retrieval_reference_number": "string",
"is3d": true,
"is_moto": false,
"mcc": "6012",
"mcc_description": "Financial Institution",
"fx_fixed_fee": 1.2345,
"fx_fee_rate": 1.2345,
"fx_rate": 1.2345,
"domestic_fee": 1.2345,
"domestic_rate": 1.2345,
"non_domestic_fee": 1.2345,
"non_domestic_rate": 1.2345,
"token_unique_reference": "string",
"approval_code": "string",
"authorization_date": "string",
"authorization_type": "string",
"note": "string",
"description": "string"
},
"wires": {
"sender_name": "John Doe",
"sender_bank_name": "Paynetics AD",
"sender_bank_country": "BG",
"sender_bank_code": "PATCBGXXX",
"sender_iban": "BG91PATC40021921028091",
"sender_sort_code": "040738",
"sender_account_number": "12345676",
"receiver_name": "John Doe",
"receiver_bank": "Paynetics AD",
"receiver_iban": "BG91PATC40021921028091",
"receiver_sort_code": "040738",
"receiver_account_number": "12345676",
"receiver_bank_name": "Paynetics AD",
"receiver_bank_country": "BG",
"receiver_bank_code": "PATCBGXXX",
"charges": "sha",
"value_date": "2023-01-25",
"settlement_date": "2023-01-25",
"status": "string",
"network_original_code": "string",
"network": "string",
"is_instant": false
},
"counterpart": {
"instance": "8cf9963a-2042-41b3-906c-48c2aea16458",
"merchant": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"user": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"account": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"balance": "cae2cdcb-e0db-4159-b522-44c0629179d9",
"external_balance": "123456789",
"amount": 1.23,
"currency": "GBP",
"debit_credit": "debit",
"phone": "+35900000000",
"email": "john.doe@paynetics.digital",
"name": "John Doe",
"balance_before": 1,
"balance_after": 1,
"fx": 1
}
}
}